/////////////////////
//www.hellofpga.com//
/////////////////////

`timescale 1ns / 1ps
module CLOCK_TEST(
    input  clk,  //125M in
    output clk_out1,  //100M out
    output clk_out2,  //25M out
    output led1,
    output led2
);
   
  wire clk_100m;
  wire clk_100m_90deg;   //25M out 90deg  
  wire clk_25m;  
  clk_wiz_0 u_clock(
    .clk_out1(clk_100m),   
    .clk_out2(clk_100m_90deg),    
    .clk_out3(clk_25m),    
    .reset(0),
    .locked(),      
    .clk_in1(clk)
 );    
 
  assign clk_out1=clk_100m;
  assign clk_out2=clk_100m_90deg;
 
 LED_MODULE U1(
     .clk(clk_100m),
     .led(led1)
 );
 
 LED_MODULE U2(
     .clk(clk_25m),
     .led(led2)
 );
endmodule
